package NisumWebTest.StepDefination;

import NisumWebTest.PageObject.NisumPage;
import NisumWebTest.Utils.BaseTest;
import io.cucumber.java.en.Given;
import io.cucumber.java.en.When;
import io.cucumber.java.en.Then;
import org.testng.Assert;

public class StepDefination extends BaseTest {

    NisumPage object;

    @Given("User is Present on nisum Website")
    public void user_is_present_on_nisum_website() {
        setUp();  // Setup WebDriver and navigate to the site
        object = new NisumPage(driver);  // Initialize the page object after WebDriver is set up
    }

    @When("User click on Global Career and then click on pakistan")
    public void user_click_on_global_career_and_then_click_on_pakistan() {
        object.RunFlow();  // Perform actions on the page object
    }

    @Then("User Should see {string} on Page")
    public void user_should_see_we_re_hiring_now_on_page(String expectedText) {
        Assert.assertEquals(object.PassText(), expectedText);  // Validate the text on the page
    }

}
